Name:           perl-Test-MockObject
Version:        1.20200122
Release:    3%{?dist}
Summary:        Perl extension for emulating troublesome interfaces
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-MockObject
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-MockObject-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(UNIVERSAL::can) >= 1.20110617
BuildRequires:  perl(UNIVERSAL::isa) >= 1.20110614
BuildRequires:  perl(base)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(fields)
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Warn) >= 0.23
BuildRequires:  perl(vars)
Requires:       perl(Carp)

%description
Test::MockObject is a highly polymorphic testing object, capable of
looking like all sorts of objects.  This makes white-box testing much
easier, as you can concentrate on what the code being tested sends to
and receives from the mocked object, instead of worrying about faking
up your own data.  (Another option is not to test difficult things.
Now you have no excuse.)

%prep
%setup -q -n Test-MockObject-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::MockObject.3*
%{_mandir}/man3/Test::MockObject::Extends.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20200122-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20200122-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20200122-1
- initial build
